## hss_enable

### Use

You define a database instance as the master instance of a hot standby system.

See also:

Database Administration Tutorial, Setting Up a Hot Standby System

Concepts of the Database System, Hot Standby

### Prerequisites

● The database instance is on that computer to which you assigned the virtual server name using the cluster software.

● The database instance is in the OFFLINE operational state.

● You have connected to the database instance on the virtual server.

● You have the server authorization ParamFull.

### Syntax

hss_enable lib=<hs_storage_dll> node=<virtual_server_name>

Options

Option | Description
<hs_storage_dll> | Name of the library required for controlling the memory management system
<virtual_server_name> | Name of the virtual server

### Reply

OK

In the event of errors, see Reply Format.

### Example

Call the Database Manager CLI, log on as operator OLEG with the password MONDAY, establish a connection to the database instance DEMODB on the virtual server HOTEL_VIRTUAL, define the master instance by specifying the library libhsscopy for triggering the memory management system:

>dbmcli –u OLEG,MONDAY –d DEMODB –n HOTEL_VIRTUAL hss_enable lib=libhsscopy node=HOTEL_VIRTUAL

OK